#
# spec file for package rubygem-builder
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-builder
Version:        3.2.2
Release:        5.1
%define mod_name builder
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
#
Url:            http://github.com/rtomayko/builder/
Source:         %{mod_name}-%{version}.gem
#
Summary:        Builder objects for structured data
%description
Builder provides a number of builder objects that make creating structured data simple to do.
Currently the following builder objects are supported: * XML Markup * XML Events

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
License:        X11/MIT
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.


%prep
%build
%install
%gem_install --no-ri --no-rdoc %{S:0}
%gem_cleanup
mkdir -p %{buildroot}%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/test

%changelog
* Sat Dec 14 2013 cs@linux-administrator.com
- initial package
